if not Recount then 
	print("AGC_Recount did not load because you dont have Recount installed!"); 
	return 
end

local AthenesGearCheckRecount = LibStub("AceAddon-3.0"):NewAddon("AGC_Recount", "AceEvent-3.0", "AceTimer-3.0","AceConsole-3.0")

function AthenesGearCheckRecount:DataModesAthenesGearCheck(data, num) --kjres nr man bytter mode i recount
	--print("data mode")
	local damage, dps = Recount:MergedPetDamageDPS(data,Recount.db.profile.CurDataSet);
	if not data then 
		return 0,0 
	end
	MyVariable = data
	TempName = data.unit
	--print(data)
	--print(data.unit)
	--print(UnitLevel(data.unit))
	local AvgLvl
	if ( data == nil ) then
		AvgLvl = "?"
	else
		if ( data.unit == nil ) then
			AvgLvl = "?"
		else
			if ( UnitLevel(data.unit) == nil ) then
				AvgLvl = "?"
			else
				AvgLvl = AvgILvl(UnitLevel(data.unit))
			end
		end
	end
	if ( AGC_Score[TempName] == nil ) then
		--print(AGC_Score[TempName])
		--print(AvgLvl)
		return 0, AvgLvl
	else
		--print(AGC_Score[TempName])
		--print(AvgLvl)
		return AGC_Score[TempName], AvgLvl
	end
end

function AthenesGearCheckRecount:TooltipFuncsAthenesGearCheck(name,data) --kjres nr man mouseover spillere i recount
	--print("tooltip func")
	name = data.unit
	GameTooltip:ClearLines()
	GameTooltip:AddLine(name)
	if ( CanInspect(name) ) then
		local AGC_ItemLink
		for i = 1, 18 do
			if i == 4 then
			else
				AGC_ItemLink = GetInventoryItemLink(name, i)
				if ( AGC_ItemLink ) then 
					local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture = GetItemInfo(AGC_ItemLink)
					-- item rarities: 0=grey 1=white 2=green 3=blue 4=purple 5=legendary 7=boa
					if (itemRarity==7) then
						itemLevel = AvgILvl(UnitLevel(name))
					end
					GameTooltip:AddLine(itemLink.." "..itemLevel)
				end
			end
		end
	else
		GameTooltip:AddLine("Could not inspect player")
	end

end

Recount:AddModeTooltip("AGC avg ilvl",AthenesGearCheckRecount.DataModesAthenesGearCheck,AthenesGearCheckRecount.TooltipFuncsAthenesGearCheck,"B AthenesGearCheck","C AthenesGearCheck", "D AthenesGearCheck", "E AthenesGearCheck")






